config.hpp File Reference

Contains macro checks for different configurations. More...

`#include <cassert>`
Include dependency graph for config.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | PROTOZERO_LITTLE_ENDIAN 1234
#define | PROTOZERO_BIG_ENDIAN 4321
#define | PROTOZERO_BYTE_ORDER PROTOZERO_LITTLE_ENDIAN
#define | PROTOZERO_USE_BARE_POINTER_FOR_PACKED_FIXED
#define | protozero_assert(x) assert(x)

## Detailed Description

Contains macro checks for different configurations.